SequenceRenderContext.Border (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.sequence.SequenceRenderContext.Border class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Class SequenceRenderContext.Border

    java.lang.Object
      org.biojava.bio.gui.sequence.SequenceRenderContext.Border

All Implemented Interfaces:
  Serializable, SwingConstants

Enclosing interface:
  SequenceRenderContext

    public static class SequenceRenderContext.Border

extends Object
implements Serializable, SwingConstants

The metric object for the 'border' area - the area between the extent of the rendered area and the beginning or end of the sequence. This provides information about its size, and hints about how to align information within the borders.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`SequenceRenderContext.Border()`

Method Summary
`int` | `getAlignment()` Gets the Alignment - one of LEADING, TRAILING or CENTER.
`double` | `getSize()` Gets the current size of the border in pixels.
`void` | `setAlignment(int alignment)` Sets the Alignment attribute of the Border object.
`void` | `setSize(double size)` Sets the size of the border in number of pixels.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceRenderContext.Border

    public SequenceRenderContext.Border()

Method Detail

### setSize

    public void setSize(double size)

  Sets the size of the border in number of pixels.

  Parameters:
    `size` - The new size in pixels

### setAlignment

    public void setAlignment(int alignment)
                      throws IllegalArgumentException

  Sets the Alignment attribute of the Border object. This will be one of the values LEADING, TRAILING or CENTER.

  Parameters:
    `alignment` - The new Alignment value
  Throws:
    `IllegalArgumentException` - Description of Exception

### getSize

    public double getSize()

  Gets the current size of the border in pixels.

  Returns:
    The Size value

### getAlignment

    public int getAlignment()

  Gets the Alignment - one of LEADING, TRAILING or CENTER.

  Returns:
    The alignment value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD